---
title: CDATASection
slug: Web/API/CDATASection
tags:
  - API
  - CDATASection
  - DOM
  - Interface
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>CDATASection</strong></code> interface represents a CDATA section that can be used within XML to include extended portions of unescaped text. The symbols <code>&lt;</code> and <code>&amp;</code> don’t need escaping as they normally do when inside a CDATA section.</p>

<p>In XML, a CDATA section looks like:</p>

<pre class="syntaxbox">&lt;![CDATA[ ... ]]&gt;
</pre>

<p>For example:</p>

<pre class="brush:xml">&lt;foo&gt;Here is a CDATA section: &lt;![CDATA[ &lt; &gt; &amp; ]]&gt; with all kinds of unescaped text.&lt;/foo&gt;
</pre>

<p>The only sequence which is not allowed within a CDATA section is the closing sequence of a CDATA section itself, <code>]]&gt;</code>:</p>

<pre class="brush:xml">&lt;![CDATA[ ]]&gt; will cause an error ]]&gt;
</pre>

<p>Note that CDATA sections should not be used within HTML; they only work in XML.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface has no specific properties and implements those of its parent {{DOMxRef("Text")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no specific methods and implements those of its parent {{DOMxRef("Text")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#interface-cdatasection", "CDATASection")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td>Re-added in <a href="https://github.com/whatwg/dom/pull/295">issue #295</a> due to web breakage</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM4", "#cdatasection", "CDATASection")}}</td>
   <td>{{Spec2("DOM4")}}</td>
   <td>Removed in favour of the more generic {{DOMxRef("Text")}} interface</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#ID-667469212", "CDATASection")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>No change from {{SpecName("DOM2 Core")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 Core", "core.html#ID-667469212", "CDATASection")}}</td>
   <td>{{Spec2("DOM2 Core")}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM1", "level-one-core.html#ID-667469212", "CDATASection")}}</td>
   <td>{{Spec2("DOM1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CDATASection")}}</p>
